Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::NodeManager_Impl Class Reference

Servant implementation CIAO's daemon process control interface. More...

`#include <NodeManager_Impl.h>`

Inheritance diagram for CIAO::NodeManager_Impl:

[legend]
Collaboration diagram for CIAO::NodeManager_Impl:

[legend]
List of all members.

## Public Member Functions
| NodeManager_Impl (const char *name, CORBA::ORB_ptr orb, PortableServer::POA_ptr p, const char *nodeapp_loc, const char *nodeapp_options, int spawn_delay)
| Constructor.
## Protected Member Functions
virtual | ~NodeManager_Impl (void)
virtual ::CIAO::NodeApplicationManager_Impl_Base * | create_node_app_manager (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa ACE_ENV_ARG_DECL) throw (CORBA::SystemException)

## Detailed Description

Servant implementation CIAO's daemon process control interface.

This class implements the CIAO:NodeManager interface.

## Constructor & Destructor Documentation

CIAO::NodeManager_Impl::NodeManager_Impl | ( | const char * | name,
|  | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | p,
|  | const char * | nodeapp_loc,
|  | const char * | nodeapp_options,
|  | int | spawn_delay
| ) |

| Constructor.

CIAO::NodeManager_Impl::~NodeManager_Impl | ( | void |  | ) | `[protected, virtual]`

| Since this class is reference counted, making this destructor protected to enforce proper memory managment through the reference counting mechanism (i.e. to disallow calling operator delete() on an instance of this class.

## Member Function Documentation

CIAO::NodeApplicationManager_Impl_Base * CIAO::NodeManager_Impl::create_node_app_manager | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr poa | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[protected, virtual]`

| Implements CIAO::NodeManager_Impl_Base.

The documentation for this class was generated from the following files:

- NodeManager_Impl.h
- NodeManager_Impl.cpp